Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.src
Interface ElementPrinter

All Known Implementing Classes:
  DefaultElementPrinter

    public interface ElementPrinter

Prints elements in a textual form. For example code generators use this.

Contains three kinds of public members:

- Constants to indicate events occurring while an element is printed, e.g. `ELEMENT_BEGIN` and `ELEMENT_END`.
- Methods to print: `print(java.lang.String)` and `println(java.lang.String)`.
- A method for each kind of element, such as methods: `markMethod(org.openide.src.MethodElement, int)`, etc. notify about notable points inside the elements. For example, if a printer implementation wants to print only the header for a method, it may implement `markMethod(org.openide.src.MethodElement, int)` to throw `ElementPrinterInterruptException` to stop the printing there when it encounters `HEADER_END`.

Field Summary
`static int` | `BODY_BEGIN` Beginning of body.
`static int` | `BODY_END` End of body.
`static int` | `ELEMENT_BEGIN` Beginning of whole element.
`static int` | `ELEMENT_END` End of whole element.
`static int` | `HEADER_BEGIN` Beginning of header.
`static int` | `HEADER_END` End of header.
`static int` | `JAVADOC_BEGIN` Beginning of JavaDoc comment (if any).
`static int` | `JAVADOC_END` End of JavaDoc comment (if any).

Method Summary
`void` | `markClass(ClassElement element, int what)` Mark a notable point in a class element.
`void` | `markConstructor(ConstructorElement element, int what)` Mark a notable point in a constructor element.
`void` | `markField(FieldElement element, int what)` Mark a notable point in a field element.
`void` | `markInitializer(InitializerElement element, int what)` Mark a notable point in a initializer element.
`void` | `markMethod(MethodElement element, int what)` Mark a notable point in a method element.
`void` | `print(String text)` Print some text.
`void` | `println(String text)` Print a line of text with a newline.

Field Detail

### ELEMENT_BEGIN

    static final int ELEMENT_BEGIN

  Beginning of whole element.

  See Also:
    Constant Field Values

### ELEMENT_END

    static final int ELEMENT_END

  End of whole element.

  See Also:
    Constant Field Values

### JAVADOC_BEGIN

    static final int JAVADOC_BEGIN

  Beginning of JavaDoc comment (if any).

  See Also:
    Constant Field Values

### JAVADOC_END

    static final int JAVADOC_END

  End of JavaDoc comment (if any).

  See Also:
    Constant Field Values

### HEADER_BEGIN

    static final int HEADER_BEGIN

  Beginning of header. For methods, constructors, and classes.

  See Also:
    Constant Field Values

### HEADER_END

    static final int HEADER_END

  End of header. For methods, constructors, and classes.

  See Also:
    Constant Field Values

### BODY_BEGIN

    static final int BODY_BEGIN

  Beginning of body. For initializers, methods, constructors, and classes.

  See Also:
    Constant Field Values

### BODY_END

    static final int BODY_END

  End of body. For initializers, methods, constructors, and classes.

  See Also:
    Constant Field Values

Method Detail

### print

    void print(String text)
               throws ElementPrinterInterruptException

  Print some text.

  Parameters:
    `text` - the text
  Throws:
    `ElementPrinterInterruptException` - - see class description

### println

    void println(String text)
                 throws ElementPrinterInterruptException

  Print a line of text with a newline.

  Parameters:
    `text` - the text
  Throws:
    `ElementPrinterInterruptException` - - see class description

### markClass

    void markClass(ClassElement element,
                   int what)
                   throws ElementPrinterInterruptException

  Mark a notable point in a class element.

  Parameters:
    `element` - the element
    `what` - which point
  Throws:
    `ElementPrinterInterruptException` - - see class description

### markInitializer

    void markInitializer(InitializerElement element,
                         int what)
                         throws ElementPrinterInterruptException

  Mark a notable point in a initializer element.

  Parameters:
    `element` - the element
    `what` - which point
  Throws:
    `ElementPrinterInterruptException` - - see class description

### markField

    void markField(FieldElement element,
                   int what)
                   throws ElementPrinterInterruptException

  Mark a notable point in a field element.

  Parameters:
    `element` - the element
    `what` - which point
  Throws:
    `ElementPrinterInterruptException` - - see class description

### markConstructor

    void markConstructor(ConstructorElement element,
                         int what)
                         throws ElementPrinterInterruptException

  Mark a notable point in a constructor element.

  Parameters:
    `element` - the element
    `what` - which point
  Throws:
    `ElementPrinterInterruptException` - - see class description

### markMethod

    void markMethod(MethodElement element,
                    int what)
                    throws ElementPrinterInterruptException

  Mark a notable point in a method element.

  Parameters:
    `element` - the element
    `what` - which point
  Throws:
    `ElementPrinterInterruptException` - - see class description

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.src 1.8.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.